Debian Bug report logs - #662427
matanza: Please Build-Depends on libpng-dev, change from libpng12-dev

version graph

Package: src:matanza; Maintainer for src:matanza is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>;

Reported by: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>

Date: Mon, 5 Mar 2012 04:18:47 UTC

Severity: important

Found in version matanza/0.13+ds1-1

Fixed in version matanza/0.13+ds1-3

Done: Boris Pek <tehnick-8@mail.ru>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#662427; Package src:matanza. (Mon, 05 Mar 2012 04:18:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Mon, 05 Mar 2012 04:18:50 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: maintonly@bugs.debian.org
Subject: matanza: Please Build-Depends on libpng-dev, change from libpng12-dev
Date: Mon, 5 Mar 2012 13:20:30 +0900
Source: matanza
Version: 0.13+ds1-1
Severity: important
User: libpng@packages.debian.org
Usertags: libpng15-transition

Hi,

Libpng maintainers plan transition of libpng[0].
Version 1.2 is used for libpng of current debian, but will shifts 
to version 1.5 in this transition.
Your package still does it depending on libpng12-dev.
We cannot shift in transition mentioned above. 
Please change Build-Depends of the package from libpng12-dev to libpng-dev.

Build-Depends: debhelper (>= 5), autotools-dev, texlive-extra-utils, libpng12-dev

[0]http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=650601

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6




Reply sent to Boris Pek <tehnick-8@mail.ru>:
You have taken responsibility. (Sun, 10 Feb 2013 09:51:06 GMT) Full text and rfc822 format available.

Notification sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug acknowledged by developer. (Sun, 10 Feb 2013 09:51:06 GMT) Full text and rfc822 format available.

Message #10 received at 662427-close@bugs.debian.org (full text, mbox):

From: Boris Pek <tehnick-8@mail.ru>
To: 662427-close@bugs.debian.org
Subject: Bug#662427: fixed in matanza 0.13+ds1-3
Date: Sun, 10 Feb 2013 09:47:34 +0000
Source: matanza
Source-Version: 0.13+ds1-3

We believe that the bug you reported is fixed in the latest version of
matanza, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 662427@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Boris Pek <tehnick-8@mail.ru> (supplier of updated matanza package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 17 Dec 2012 22:39:49 +0200
Source: matanza
Binary: matanza
Architecture: source i386
Version: 0.13+ds1-3
Distribution: experimental
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Boris Pek <tehnick-8@mail.ru>
Description: 
 matanza    - Space ascii war game
Closes: 636984 662427 675295
Changes: 
 matanza (0.13+ds1-3) experimental; urgency=low
 .
   * Team upload.
   * Bump Standards-Version to 3.9.4 (was 3.9.1).
   * Update debian/copyright in according to Copyright format 1.0.
   * Add patch debian/patches/04-format.patch:
     fix FTBFS with GCC >= 4.7 and hardening compiler options.
     (Closes: #675295)
   * Add patch debian/patches/05-fix-build-with-libpng1.5.patch:
     fix build with libpng >= 1.5. (Closes: #636984)
   * Update debian/control:
     - changed build dependency from libpng12-dev to libpng-dev
       (Closes: #662427)
     - updated Homepage field
Checksums-Sha1: 
 8da7bf765d7fe0a132b17a5c319d6d65067a36f6 1369 matanza_0.13+ds1-3.dsc
 d803dff8d2ea01b540d3df51bb3b2f9c41bdd99a 8573 matanza_0.13+ds1-3.debian.tar.bz2
 7d496171f394ec1b3d1ad3db04d2e901fb4b7a74 125346 matanza_0.13+ds1-3_i386.deb
Checksums-Sha256: 
 885fd820c36fe76850c4cc11c57c5f62c76a2a66ca20565c7500921c461c0da1 1369 matanza_0.13+ds1-3.dsc
 1b48e44bc3f24274ab76fb6837c2921895eb0c74b1357211c341ade4525447c2 8573 matanza_0.13+ds1-3.debian.tar.bz2
 2c9acfb6c1a8488b10d58164cf725a3a14b611942a0343e809671730154cdebe 125346 matanza_0.13+ds1-3_i386.deb
Files: 
 601e385637456c9de5eb77bcbb429079 1369 games extra matanza_0.13+ds1-3.dsc
 9d0852e61ea4e8f68e0208a12210e507 8573 games extra matanza_0.13+ds1-3.debian.tar.bz2
 bc249f427ba65edfe1d5bbca7547c435 125346 games extra matanza_0.13+ds1-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEXanIACgkQFShl+2J8z5XjyACggF2hHji1SyUmDNSJuup1ga04
97kAoNGvm8rSKa/aNbhsLLU7WHiCYyTB
=5zDi
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Sep 2013 07:27:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:24:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.